NTSC-J hacks.ini for Preloader 0.29

Discussion in 'Wii - Hacking' started by senkun, Sep 9, 2009.

Sep 9, 2009
  1. senkun
    OP

    Newcomer senkun Member

    Joined:
    Aug 30, 2006
    Messages:
    31
    Country:
    OK, it doesn't look like there would be any help coming with this issue in an english speaking forum with ntsc-j wiis in the minority.

    And since Startpatch 4.1_JAP can't install, and noone knows why. I don't feel secure enough having only bootmii as IOS. So I just put Preloader back on my machine.

    Yeah it does it's job without the little hacks but that "...can't find hacks.ini..." gets fooking annoying.

    So, here's a basic NTSC-J hacks.ini for Preloader 0.29, installed, tested and working on my Wii. It has only 3 options;

    - No health check
    - Skip disck update check
    - Move disck channel

    CODE[No health check]
    version=448
    offset=0x813BBFA0
    value=0x48000034
    [Skip disc update check]
    version=448
    offset=0x8137E35C
    value=0x60000000
    offset=0x8137E360
    value=0x60000000
    offset=0x8137E364
    value=0x60000000
    offset=0x8137E368
    value=0x60000000
    offset=0x8137E36C
    value=0x60000000
    offset=0x8137E370
    value=0x60000000
    [Move Disc Channel]
    version=448
    offset=0x813AE770
    value=0x60000000



    I've decided to list it here so if you're on a Jap Wii and want Preloader 0.29 with a basic working hacks.ini, you're in luck. I take no responsiblity if your Wii shites bricks adding this. And if you don't know what to do with the list above, you're better off just leaving your Wii as is.

    Now, if you can add more hacks on to the .ini, please do, and please share. Maybe one day we can have a proper Preloader hacks.ini for NTSC-J right next to the U and E versions.

    Cheers.

    PS: * * * Simplistic mod - A MUST FOR ALL NEWBIES * * * , by xzxero - He ain't kiddin' when he says "Consider yourself lucky because you even found this guide, it cant get any simpler than this."
     
  2. kavid

    Member kavid GBAtemp Advanced Fan

    Joined:
    Sep 28, 2008
    Messages:
    519
    Country:
    China
    if you install cios on your wii, startpatch may not be installed.
     
  3. Bloodlust

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    Pity I am still on 4.0J.
     
  4. tommitek

    Newcomer tommitek Advanced Member

    Joined:
    Aug 17, 2009
    Messages:
    69
    Country:
    Japan

    really?!

    is that the reason? why is that? is there any workaround to be able to install startpatch?
     

Share This Page